Subject: Re: bug#26441: Gnulib’s ‘test-lock’ fails to complete on machines with >= 32 cores

From: [email-masked] (Ludovic Courtès)
Date: Thu, 13 Apr 2017 14:23:56 +0200

Hi Mathieu,

Mathieu Othacehe <[email-masked]> skribis:

> Here's a patch for gettext, to solve test-lock performance issues.

Awesome.

> While rebuilding all gettext dependencies, I noticed that there are
> other programs impacted by this bug :
>
> * libunistring
> * coreutils
> * findutils

Coreutils 8.27 was released very recently so it probably already has the
‘test-lock’ fix.  But yeah, there are many other GNU packages that
possibly include it, although not all of them depend on this specific
Gnulib module.

> We can consider that it's not such a big deal and ignore this problem
> waiting for programs to integrate the fix, or we can patch them on
> core-updates.
>
> WDYT ?

Maybe we can simply patch the important packages (findutils,
libunistring) and wait and see if others need the patch.  Not ideal, but
I can’t think of a better way.

> From e4ad9aa61fa75afa4417616de36cd25e9631fd67 Mon Sep 17 00:00:00 2001
> From: Mathieu Othacehe <[email-masked]>
> Date: Wed, 12 Apr 2017 21:17:24 +0200
> Subject: [PATCH] gnu: gettext: Fix make check issues on multi-core machines.
>
> * gnu/packages/patches/gettext-gnulib-multi-core.patch: New file.
> * gnu/packages/patches/gettext-multi-core.patch: New file.
> * gnu/packages/gettext.scm (gettext-minimal)[patches]: Add a reference
> to the two previous patches.

[...]

> --- /dev/null
> +++ b/gnu/packages/patches/gettext-gnulib-multi-core.patch
> @@ -0,0 +1,176 @@
> +This patch fixes performance problems on multi-core machines.
> +See commit 480d374e596a0ee3fed168ab42cd84c313ad3c89 in gnulib
> +from Bruno Haible <[email-masked]>.

I added the reference to <https://bugs.gnu.org/26441> and pushed.

Thank you!

Ludo’.